> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /worldbank/countries

> List countries and aggregates with their region, income level and lending type

**Price:** 5 credits per 1000 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/worldbank/countries
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/worldbank/countries:
    post:
      tags:
        - /worldbank
      summary: /worldbank/countries
      description: >-
        List countries and aggregates with their region, income level and
        lending type


        **Price:** 5 credits per 1000 results
      operationId: __api_worldbank_countries_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorldbankCountriesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorldbankCountry'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorldbankCountriesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/WorldbankRegion'
            - type: 'null'
        income_level:
          anyOf:
            - $ref: '#/components/schemas/WorldbankIncomeLevel'
            - type: 'null'
        lending_type:
          anyOf:
            - $ref: '#/components/schemas/WorldbankLendingType'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    WorldbankCountry:
      properties:
        '@type':
          type: string
          default: WorldbankCountry
        id:
          type: string
        iso2_code:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - $ref: '#/components/schemas/WorldbankRef'
            - type: 'null'
        adminregion:
          anyOf:
            - $ref: '#/components/schemas/WorldbankRef'
            - type: 'null'
        income_level:
          anyOf:
            - $ref: '#/components/schemas/WorldbankRef'
            - type: 'null'
        lending_type:
          anyOf:
            - $ref: '#/components/schemas/WorldbankRef'
            - type: 'null'
        capital_city:
          anyOf:
            - type: string
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WorldbankRegion:
      type: string
      enum:
        - AFE
        - AFR
        - AFW
        - ARB
        - CAA
        - CEA
        - CEB
        - CEU
        - CLA
        - CME
        - CSA
        - CSS
        - EAP
        - EAR
        - EAS
        - ECA
        - ECS
        - EMU
        - EUU
        - FCS
        - HPC
        - LAC
        - LCN
        - LDC
        - LTE
        - MDE
        - MEA
        - MNA
        - NAC
        - NAF
        - NRS
        - OED
        - OSS
        - PRE
        - PSS
        - PST
        - RRS
        - SAS
        - SSA
        - SSF
        - SST
        - SXZ
        - WLD
        - XZN
    WorldbankIncomeLevel:
      type: string
      enum:
        - HIC
        - INX
        - LIC
        - LMC
        - LMY
        - MIC
        - UMC
    WorldbankLendingType:
      type: string
      enum:
        - IBD
        - IDB
        - IDX
        - LNX
    WorldbankRef:
      properties:
        '@type':
          type: string
          default: WorldbankRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        iso2_code:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````